#include <iostream>
#include "date.h"
using namespace std;

Date::Date(int dy, int mt, int yr)
{
  year= (yr>=1900 && yr<=2004)?yr :2000;
  month=(mt>=1 && mt<=12)?mt :1;
  switch(month){
  case 1:
  case 3:
  case 5:
  case 7:
  case 8: 
  case 10:
  case 12:
    day=(dy>=1 && dy<=31)?dy :1;
    break;
  case 2:
    if(year%4==0)
      day=(dy>=1 && dy<=29)?dy :1;
    else
      day=(dy>=1 && dy<=28)?dy :1;
    break;
  case 4:
  case 6:
  case 9:
  case 11:
    day=(dy>=1 && dy<=30)?dy :1;
    break;
  default:
    day=1;
  }
}


int Date::getDay() const
{
  return day;
}


int Date::getMonth() const
{
  return month;
}


int Date::getYear() const
{
  return year;
}



